LibreOffice: PieDiagram Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Included Services | List of all members
PieDiagram Service Referencepublished

a service for pie diagrams. More...

`import"PieDiagram.idl";`

Inheritance diagram for PieDiagram:

## Included Services
service | com::sun::star::chart::Diagram
service | com::sun::star::chart::Dim3DDiagram
Included Services inherited from Diagram
service | com::sun::star::xml::UserDefinedAttributesSupplier
| If a Diagram may be stored as XML file, this service should be supported in order to preserve unparsed XML attributes. More...

## Additional Inherited Members
Exported Interfaces inherited from Diagram
interface | com::sun::star::chart::XDiagram
interface | com::sun::star::chart::XAxisSupplier
| Provides easier access to the different axes and their sub elements. More...
interface | com::sun::star::chart::XSecondAxisTitleSupplier
| Provides access to the titles of the secondary X axis and Y axis. More...
interface | com::sun::star::chart::XDiagramPositioning
interface | com::sun::star::beans::XPropertySet
Exported Interfaces inherited from Dim3DDiagram
interface | com::sun::star::chart::X3DDisplay
| gives access to the properties of the wall and floor objects of the three-dimensional cuboid that contains the actual diagram. More...
interface | ::com::sun::star::chart::X3DDefaultSetter
| makes it easy to set suitable defaults for illumination and rotation for 3D charts More...
Public Member Functions inherited from XDiagram
string | getDiagramType ()
com::sun::star::beans::XPropertySet | getDataRowProperties ([in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
com::sun::star::beans::XPropertySet | getDataPointProperties ([in] long nCol, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from X3DDisplay
com::sun::star::beans::XPropertySet | getWall ()
com::sun::star::beans::XPropertySet | getFloor ()
Public Attributes inherited from Diagram
boolean | AutomaticPosition
| If this property is `TRUE` the position is calculated by the application automatically. More...
boolean | AutomaticSize
| If this property is `TRUE` the size is calculated by the application automatically. More...
com::sun::star::chart::ChartDataRowSource | DataRowSource
| determines if the data for a data row is contained in the columns or in the rows of the data array. More...
long | DataCaption
| specifies how the caption of data points is displayed. More...
long | MissingValueTreatment
| specifies how empty or invalid cells in the provided data should be handled when displayed More...
Public Attributes inherited from Dim3DDiagram
boolean | Dim3D
| If set to `TRUE`, the chart becomes a three-dimensional chart. More...
long | Perspective
| Perspective of 3D charts ( [0,100] ). More...
long | RotationHorizontal
| Horizontal rotation of 3D charts in degrees ( ]-180,180] ). More...
long | RotationVertical
| Vertical rotation of 3D charts in degrees ( ]-180,180] ). More...
Protected Member Functions inherited from XAxisSupplier
com::sun::star::chart::XAxis | getAxis ([in] long nDimensionIndex)
com::sun::star::chart::XAxis | getSecondaryAxis ([in] long nDimensionIndex)
Protected Member Functions inherited from XSecondAxisTitleSupplier
com::sun::star::drawing::XShape | getSecondXAxisTitle ()
com::sun::star::drawing::XShape | getSecondYAxisTitle ()
Protected Member Functions inherited from XDiagramPositioning
void | setAutomaticDiagramPositioning ()
| the diagram will be placed automatically More...
boolean | isAutomaticDiagramPositioning ()
void | setDiagramPositionExcludingAxes ([in] com::sun::star::awt::Rectangle PositionRect)
| place the inner diagram part excluding any axes, labels and titles More...
boolean | isExcludingDiagramPositioning ()
com::sun::star::awt::Rectangle | calculateDiagramPositionExcludingAxes ()
void | setDiagramPositionIncludingAxes ([in] com::sun::star::awt::Rectangle PositionRect)
| place the outer diagram part including the axes and axes labels, but excluding the axes titles. More...
com::sun::star::awt::Rectangle | calculateDiagramPositionIncludingAxes ()
void | setDiagramPositionIncludingAxesAndAxisTitles ([in] com::sun::star::awt::Rectangle PositionRect)
| place the diagram including the axes, axes labels and axes titles. More...
com::sun::star::awt::Rectangle | calculateDiagramPositionIncludingAxesAndAxisTitles ()
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from X3DDefaultSetter
void | set3DSettingsToDefault ()
| The result may depend on the current chart type and the current shade mode. More...
void | setDefaultRotation ()
| sets a suitable default for the rotation of the current 3D chart. More...
void | setDefaultIllumination ()
| set suitable defaults for the illumination of the current 3D chart. More...
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes. More...

## Detailed Description

a service for pie diagrams.

## Exported Interfaces

## ◆ com::sun::star::chart::Diagram

service com::sun::star::chart::Diagram

## ◆ com::sun::star::chart::Dim3DDiagram

service com::sun::star::chart::Dim3DDiagram

The documentation for this service was generated from the following file:

- com/sun/star/chart/PieDiagram.idl